Bug 202905 - Review Request: perl-POE-Component-Server-HTTP
Review Request: perl-POE-Component-Server-HTTP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/POE-Compo...
:
Depends On:
Blocks: FE-ACCEPT 202908
  Show dependency treegraph
 
Reported: 2006-08-16 19:47 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 00:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-16 19:47:07 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-HTTP-0.09-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-HTTP.spec

Description:
POE::Component::Server::HTTP (PoCo::HTTPD) is a framework for building
custom HTTP servers based on POE. It is loosely modeled on the ideas of
apache and the mod_perl/Apache module.
Comment 1 Jason Tibbitts 2006-08-17 22:57:26 EDT
Man, I have to say I really wish the Perl people would take their licensing a
bit more seriously.  This package says it's released under the same terms as
POE.  POE says it's released under the same terms as Perl.  Love the double
indirection.

Thanks for the great comment about the POE::API::Peek requirement.  The
remaining tests seem to run fine in mock and I'd expect them to be OK in the
buildsys.

* source files match upstream:
   d20963ebc65bebea4c863813861b9985  POE-Component-Server-HTTP-0.09.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Server::HTTP) = 0.09
   perl(POE::Component::Server::HTTP::Connection)
   perl(POE::Component::Server::HTTP::Request)
   perl(POE::Component::Server::HTTP::Response)
   perl-POE-Component-Server-HTTP = 0.09-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(File::Spec)
   perl(HTTP::Date)
   perl(HTTP::Request)
   perl(HTTP::Response)
   perl(HTTP::Status)
   perl(POE)
   perl(POE::Component::Server::HTTP::Connection)
   perl(POE::Component::Server::HTTP::Request)
   perl(POE::Component::Server::HTTP::Response)
   perl(POE::Component::Server::TCP)
   perl(Socket)
   perl(Sys::Hostname)
   perl(bytes)
   perl(constant)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=26, 11 wallclock secs ( 0.45 cusr +  0.13 csys =  0.58 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.

APPROVED
Comment 2 Chris Weyl 2006-08-18 00:10:48 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.